package com.dj.model.sys;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
public class EnvKaitingRealModel implements Serializable {

    // Fields

    private static final long serialVersionUID = 1L;

    private int id;
    private String zkname;
    private String sensorname;
    private String ifbj;
    private Date jctime;
    private String value2;

    public EnvKaitingRealModel() {}

    public EnvKaitingRealModel(int id, String zkname, String sensorname, String ifbj, Date jctime, String value2) {
        this.id = id;
        this.zkname = zkname;
        this.sensorname = sensorname;
        this.ifbj = ifbj;
        this.jctime = jctime;
        this.value2 = value2;
    }
    @Id
    @Column(
            name = "ID"
    )
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Column(
            name = "ZKNAME",
            length = 50
    )
    public String getZkname() {
        return zkname;
    }

    public void setZkname(String zkname) {
        this.zkname = zkname;
    }

    @Column(
            name = "SENSORNAME",
            length = 50
    )
    public String getSensorname() {
        return sensorname;
    }

    public void setSensorname(String sensorname) {
        this.sensorname = sensorname;
    }

    @Column(
            name = "IFBJ"
    )
    public String getIfbj() {
        return ifbj;
    }

    public void setIfbj(String ifbj) {
        this.ifbj = ifbj;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(
            name = "JCTIME",
            length = 7
    )
    public Date getJctime() {
        return jctime;
    }

    public void setJctime(Date jctime) {
        this.jctime = jctime;
    }

    @Column(
            name = "VALUE2"
    )
    public String getValue2() {
        return value2;
    }

    public void setValue2(String value2) {
        this.value2 = value2;
    }
}
