package com.dj.service.sys;

import java.util.List;

import com.dj.pageModel.base.TreeNode;
import com.dj.pageModel.sys.Group;


public interface GroupServiceI {

	/**
	 * 获取区域树
	 * 
	 * @param group
	 * @param b
	 *            是否递归子节点
	 * @return
	 */
	public List<TreeNode> tree(Group group, Boolean b);

	/**
	 * 获得区域treegrid
	 * 
	 * @param group
	 * @return
	 */
	public List<Group> treegrid(Group group);

	/**
	 * 删除区域
	 * 
	 * @param group
	 */
	public void delete(Group group);

	/**
	 * 添加区域
	 * 
	 * @param group
	 */
	public void add(Group group);

	/**
	 * 编辑区域
	 * 
	 * @param group
	 */
	public void edit(Group group);
	
	/**
	 * 查询所有区域项
	 * 
	 * @param group
	 */
	public List<Group> findAll();

}
