package com.dj.service.sys;

import java.util.List;

import com.dj.pageModel.base.TreeNode;
import com.dj.pageModel.sys.Minearea;



public interface MineareaServiceI {

	/**
	 * 获取区域树
	 * 
	 * @param area
	 * @param b
	 *            是否递归子节点
	 * @return
	 */
	public List<TreeNode> tree(Minearea minearea, Boolean b);

	/**
	 * 获得区域treegrid
	 * 
	 * @param area
	 * @return
	 */
	public List<Minearea> treegrid(Minearea minearea);

	/**
	 * 删除区域
	 * 
	 * @param area
	 */
	public void delete(Minearea minearea);

	/**
	 * 添加区域
	 * 
	 * @param area
	 */
	public void add(Minearea minearea);

	/**
	 * 编辑区域
	 * 
	 * @param area
	 */
	public void edit(Minearea minearea);
	
	/**
	 * 查询所有区域项
	 * 
	 * @param area
	 */
	public List<Minearea> findAll();

}
