package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.model.sys.THyiyanghuatan;
import com.dj.pageModel.sys.YiyanghuatanHistory;
import com.dj.service.sys.CohistoryServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "cohistory",
        results = {@Result(
                name = "cohistory",
                location = "/general/admin/cohistory.jsp"
        )}
)
public class CohistoryAction extends BaseAction implements ModelDriven<YiyanghuatanHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(CohistoryAction.class);
    private CohistoryServiceI cohistoryService;
    private YiyanghuatanHistory yiyanghuatan = new YiyanghuatanHistory();

    public CohistoryAction() {

    }

    public CohistoryServiceI getCohistoryService() {
        return this.cohistoryService;
    }

    @Autowired
    public void setCohistoryService(CohistoryServiceI cohistoryService) {
        this.cohistoryService = cohistoryService;
    }

    public YiyanghuatanHistory getModel() {
        return this.yiyanghuatan;
    }

    public String cohistory() {
        return "cohistory";
    }

    public void datagrid() {
        super.writeJson(this.cohistoryService.datagrid(this.yiyanghuatan));
    }

}

