package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Mechine;
import com.dj.service.sys.MechineServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "mechine",
        results = {@Result(
                name = "mechine",
                location = "/general/admin/mechine.jsp"
        )}
)
public class MechineAction extends BaseAction implements ModelDriven<Mechine> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(MechineAction.class);
    private MechineServiceI mechineService;
    private Mechine mechine = new Mechine();

    public MechineAction() {
    }

    public MechineServiceI getMechineService() {
        return this.mechineService;
    }

    @Autowired
    public void setMechineService(MechineServiceI mechineService) {
        this.mechineService = mechineService;
    }

    public Mechine getModel() {
        return this.mechine;
    }

    public String mechine() {
        return "mechine";
    }

    public void datagrid() {
        super.writeJson(this.mechineService.datagrid(this.mechine));
    }
}

