package com.dj.action.sys;

import com.dj.service.sys.*;
import org.apache.struts2.convention.annotation.Action;
import org.springframework.beans.factory.annotation.Autowired;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Online;
import com.opensymphony.xwork2.ModelDriven;

import java.util.LinkedHashMap;

/**
 * ACTION 环境检测数据
 * 
 * @author lili
 * 
 */
@Action(value = "online")
public class OnlineAction extends BaseAction implements ModelDriven<Online> {

	private static final long serialVersionUID = 1L;
	
	private Online online = new Online();

	public Online getModel() {
		return online;
	}

	private OnlineServiceI onlineService;

	private Co2historyServiceI co2historyServiceI;

	private CohistoryServiceI cohistoryServiceI;

	private FengsuhistoryServiceI fengsuhistoryServiceI;

	private o2historyServiceI o2historyServiceI;

	private ShiduhistoryServiceI shiduhistoryServiceI;

	private WenduhistoryServiceI wenduhistoryServiceI;

	private YalihistoryServiceI yalihistoryServiceI;

	private MechineServiceI mechineServiceI;

	public OnlineServiceI getOnlineService() {
		return onlineService;
	}

	@Autowired
	public void setCo2historyServiceI(Co2historyServiceI co2historyServiceI) {
		this.co2historyServiceI = co2historyServiceI;
	}

	@Autowired
	public void setCohistoryServiceI(CohistoryServiceI cohistoryServiceI) {
		this.cohistoryServiceI = cohistoryServiceI;
	}

	@Autowired
	public void setFengsuhistoryServiceI(FengsuhistoryServiceI fengsuhistoryServiceI) {
		this.fengsuhistoryServiceI = fengsuhistoryServiceI;
	}

	@Autowired
	public void setO2historyServiceI(com.dj.service.sys.o2historyServiceI o2historyServiceI) {
		this.o2historyServiceI = o2historyServiceI;
	}

	@Autowired
	public void setShiduhistoryServiceI(ShiduhistoryServiceI shiduhistoryServiceI) {
		this.shiduhistoryServiceI = shiduhistoryServiceI;
	}

	@Autowired
	public void setWenduhistoryServiceI(WenduhistoryServiceI wenduhistoryServiceI) {
		this.wenduhistoryServiceI = wenduhistoryServiceI;
	}

	@Autowired
	public void setYalihistoryServiceI(YalihistoryServiceI yalihistoryServiceI) {
		this.yalihistoryServiceI = yalihistoryServiceI;
	}

	@Autowired
	public void setMechineServiceI(MechineServiceI mechineServiceI) {
		this.mechineServiceI = mechineServiceI;
	}

	@Autowired
	public void setOnlineService(OnlineServiceI onlineService) {
		this.onlineService = onlineService;
	}

	public void doNotNeedSession_onlineDatagrid() {
		super.writeJson(onlineService.datagrid(online));
	}


	public void EnvironmentRealTimeData() {
		LinkedHashMap<String, Object> map = new LinkedHashMap<>();
		map.put("二氧化碳", co2historyServiceI.realTimeCo2());
		map.put("氧气", o2historyServiceI.realTimeO2());
		map.put("一氧化碳", cohistoryServiceI.realTimeCo());
		map.put("风速", fengsuhistoryServiceI.realTimeFengsu());
		map.put("压力", yalihistoryServiceI.realTimeYali());
		map.put("温度", wenduhistoryServiceI.realTimeWendu());
		map.put("湿度", shiduhistoryServiceI.realTimeShidu());
		map.put("开停", mechineServiceI.realTimeKaiting());
		super.writeJson(map);
	}

}
