package com.dj.service.sys;

import java.util.List;

import com.dj.pageModel.base.TreeNode;
import com.dj.pageModel.sys.Area;


public interface AreaServiceI {

	/**
	 * 获取区域树
	 * 
	 * @param area
	 * @param b
	 *            是否递归子节点
	 * @return
	 */
	public List<TreeNode> tree(Area area, Boolean b);

	/**
	 * 获得区域treegrid
	 * 
	 * @param area
	 * @return
	 */
	public List<Area> treegrid(Area area);

	/**
	 * 删除区域
	 * 
	 * @param area
	 */
	public void delete(Area area);

	/**
	 * 添加区域
	 * 
	 * @param area
	 */
	public void add(Area area);

	/**
	 * 编辑区域
	 * 
	 * @param area
	 */
	public void edit(Area area);
	
	/**
	 * 查询所有区域项
	 * 
	 * @param area
	 */
	public List<Area> findAll();

}
